// Segmented control navigation project template
import bb.cascades 1.0
import com.rim.example.custom 1.0

NavigationPane {
    id: nav
    Page {
        titleBar: TitleBar {
            title: "                                Cook Book"
        }
        content: Container {
            SegmentedControl {

                // define segmented control options here
                //                Option {
                //                    id: option1
                //                    text: qsTr("All")
                //                    value: 0
                //                    selected: true
                //                }
                Option {
                    id: option2
                    text: qsTr("Vegetarian")
                    value: 1
                                   }
                Option {
                    id: option3
                    text: qsTr("Non-Vegetarian")
                    value: 2
                    selected: true 
                }
                onSelectedOptionChanged: {
                    // write handler for the choosen selection here
                    if (selectedOption) myListModel.setFilter(selectedOption.value);
                }
                horizontalAlignment: HorizontalAlignment.Center
            }
            ListView {
                id: listView
                dataModel: MyListModel {
                    id: myListModel
                }
                layout: GridListLayout {
                    columnCount: 2
                }
                listItemComponents: [
                    // define component which will represent list item GUI appearence
                    ListItemComponent {

                        //   list item GUI appearence component is defined in external MyListItem.qml file
                        MyListItem {
                        }
                    }
                ]
                onTriggered: {
                    console.log("selected_index: " + indexPath)
                    var curr_item = dataModel.data(indexPath)
                    // show detail page for selected item
                    setDetailItem(curr_item)
                }
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
            }
        }
        actions: [
            ActionItem {

                // An ActionItem for adding more items to the list.
                title: ""
               imageSource: "asset:///images/uu.png"
                ActionBar.placement: ActionBarPlacement.OnBar
enabled: false 
                // If there are one hundred item is in the list it is not possible to add more items.
                onTriggered: {
                    var page = pageDefinition.createObject();
                    nav.push(page);
                }
                attachedObjects: ComponentDefinition {
                    id: pageDefinition
//                    source: "page1.qml"
                }
            }
        ]
    }
    attachedObjects: [
        ComponentDefinition {
            id: secondPageDefinition
            content: Page {
                property alias text: lblText.text
                property alias image: imgView.imageSource
                id: pgDetail
                paneProperties: NavigationPaneProperties {
                    backButton: ActionItem {
                        onTriggered: {
                            nav.pop();
                        }
                    }
                }
                 titleBar: TitleBar {
                            title: "                                Description"
                        }
                
                content: Container {
                    layout: StackLayout {
                    }
//                    Label {
//                        id: lab
//                        text: "Description"
//                        horizontalAlignment: HorizontalAlignment.Center
//                    }
                    topPadding: 0
                    ImageView {
                        id: imgView
                        
                        layoutProperties: StackLayoutProperties {
                            spaceQuota: 1.5

                            //spaceQuota: -2.0
                        }
                        verticalAlignment: VerticalAlignment.Bottom
                        horizontalAlignment: HorizontalAlignment.Center
                        maxHeight: 300.0
                        scalingMethod: ScalingMethod.AspectFit
                        scaleX: 1.2
                        scaleY: 1.2
                        rotationZ: 0.0
                        animations: SequentialAnimation {
                            target: imgView
                            delay: 1
                            repeatCount: 50
                        }
                        
                    }
                                   
                    TextArea {
                                               
                        topPadding: 150
                        id: lblText
                        editable: false 
                        focusHighlightEnabled: true
                        backgroundVisible: false
                        enabled: true
                        textStyle.base: SystemDefaults.TextStyles.SmallText
                        //textStyle.color: Color.Yellow
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Bottom
                        maxHeight: 800.0
                        layoutProperties: StackLayoutProperties {
                            spaceQuota: 4.0
                        }
                    }
                }
            }
        }
    ]
    function setDetailItem(item) {
        // show detail page
        var page = secondPageDefinition.createObject();
        page.text = item.des
        page.image = item.image
        nav.push(page)
    }
    onCreationCompleted: {
        // this slot is called when declarative scene is created
        // write post creation initialization here
        console.log("Page - onCreationCompleted()")

        // enable layout to adapt to the device rotation
        // don't forget to enable screen rotation in bar-bescriptor.xml (Application->Orientation->Auto-orient)
        OrientationSupport.supportedDisplayOrientation = SupportedDisplayOrientation.All;

        // populate list view model with the sample data
        myListModel.load("app/native/assets/mydata.json")
    }
}
